> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/guides/features/annotation/link-annotation.md).

# Add link annotation to a document using JavaScript

Learn how to add hyperlinks or annotations to PDF documents with this full code sample. Enhance your PDFs with various annotations like hyperlinks, stamps, and more. The Apryse Web SDK streamlines sec

{% hint style="warning" %}
Make sure you have [Full API enabled in WebViewer.](/web/what-is-webviewer/full-api.md)
{% endhint %}

To add a hyperlink or intra-document link annotation to a PDF Document page.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
async function main() {
  const doc = await PDFNet.PDFDoc.createFromURL(filename);
  const firstPage = await doc.getPage(1);

  // Create a hyperlink
  const createURIAction = await PDFNet.Action.createURI(doc, 'http://www.apryse.com');
  const linkRect = new PDFNet.Rect(85, 570, 503, 524);
  const hyperlink = await PDFNet.LinkAnnot.create(doc, linkRect);
  await hyperlink.setAction(createURIAction);
  await hyperlink.refreshAppearance();
  await firstPage.annotPushBack(hyperlink);

  // Create an intra-document link
  const page3 = await doc.getPage(3);
  const gotoPage3 = await PDFNet.Action.createGoto(await PDFNet.Destination.createFitH(page3, 0));
  const link = await PDFNet.LinkAnnot.create(doc, (new PDFNet.Rect(85, 458, 503, 502)));
  await link.setAction(gotoPage3);
  await link.refreshAppearance();
  await firstPage.annotPushBack(link);
}
PDFNet.runWithCleanup(main);
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Add or edit PDF annotations sample](/web/get-started/samples.md#annotation) Full code sample which shows how to add or edit PDF annotations (e.g. hyperlink, intra-document link, stamp, rubber stamp, file attachment, sound, text, free-text, line, circle, square, polygon, polyline, highlight, squiggly, caret, and ink).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/guides/features/annotation/link-annotation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
